Package org.apache.felix.http.base.internal.handler

## Class PreprocessorHandler

- java.lang.Object
- - org.apache.felix.http.base.internal.handler.PreprocessorHandler

All Implemented Interfaces:
  `Comparable<PreprocessorHandler>`

    public class PreprocessorHandler
    extends Object
    implements Comparable<PreprocessorHandler>

The preprocessor handler handles the initialization and destruction of preprocessor objects.

### Constructor Summary

Constructors
`PreprocessorHandler​(org.osgi.framework.BundleContext bundleContext, javax.servlet.ServletContext context, PreprocessorInfo info)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(PreprocessorHandler other)`
`boolean` `destroy()`
`boolean` `dispose()`
`boolean` `equals​(Object obj)`
`javax.servlet.ServletContext` `getContext()`
`PreprocessorInfo` `getPreprocessorInfo()`
`void` `handle​(@NotNull javax.servlet.ServletRequest req, @NotNull javax.servlet.ServletResponse res, @NotNull javax.servlet.FilterChain chain)`
`int` `hashCode()`
`int` `init()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreprocessorHandler

    public PreprocessorHandler​(org.osgi.framework.BundleContext bundleContext,
                               javax.servlet.ServletContext context,
                               PreprocessorInfo info)

### Method Detail

#### compareTo

    public int compareTo​(PreprocessorHandler other)

Specified by:
  `compareTo` in interface `Comparable<PreprocessorHandler>`

#### getContext

    public javax.servlet.ServletContext getContext()

#### getPreprocessorInfo

    public PreprocessorInfo getPreprocessorInfo()

#### init

    public int init()

#### destroy

    public boolean destroy()

#### handle

    public void handle​(@NotNull
                       @NotNull javax.servlet.ServletRequest req,
                       @NotNull
                       @NotNull javax.servlet.ServletResponse res,
                       @NotNull
                       @NotNull javax.servlet.FilterChain chain)
                throws javax.servlet.ServletException,
                       IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`

#### dispose

    public boolean dispose()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`